Bug 469090 - SELinux denial executing nscd
SELinux denial executing nscd
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-29 16:26 EDT by Luke Macken
Modified: 2016-09-19 22:39 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-30 14:16:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2008-10-29 16:26:03 EDT
Description of problem:

type=1400 audit(1225324756.183:5): avc:  denied  { execute } for  pid=2494 comm="NetworkManager" name="nscd" dev=dm-0 ino=8744 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=file
SELinux:  Context system_u:object_r:NetworkManager_script_exec_t:s0 is not valid (left unmapped).


Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.5.13-8.fc10.noarch
selinux-policy-3.5.13-8.fc10.noarch
NetworkManager-0.7.0-0.11.svn4229.fc10.i386
Comment 1 Dan Williams 2008-10-30 00:21:58 EDT
Hmm, I would have thought we'd fixed this long ago, and I remember talking with dwalsh about it...

Luke, could you first try relabeling?
Comment 2 Daniel Walsh 2008-10-30 14:16:18 EDT
You have a mislabeled file.  

restorecon -v /usr/sbin/nscd

Strange, have you been playing around with labeling?

Note You need to log in before you can comment on or make changes to this bug.